Heartbleed is a flaw within the open-source OpenSSL cryptographic library that is widely used on Linux servers and cloud services around the world.